=== debian/changelog ===
webdis (0.1.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove embedded code copies (hiredis, jansson) in the clean target
    to make sure not to use them; this notably fixes the FTBFS during
    the libhiredis0.10 → libhiredis0.13 transition (Closes: #785476).

 -- Cyril Brulebois <kibi@debian.org>  Tue, 14 Jul 2015 18:32:13 +0200

webdis (0.1.1-2) unstable; urgency=medium

  * Use correct license names in debian/copyright
  * Document hiredis and jansson libraries
  * Add autopkgtest support
  * Update Standards-Version to 3.9.6. No changes required

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Fri, 24 Oct 2014 22:48:16 +0300

webdis (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #623528)

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Mon, 04 Aug 2014 02:10:55 +0300
