=== debian/control ===
Source: webdis
Section: web
Priority: optional
Maintainer: Andriy Senkovych <jolly_roger@itblog.org.ua>
Build-Depends: debhelper (>= 7.0.50~), 
    libevent-dev (>= 1.4.13), 
    libhiredis-dev (>= 0.10),
    libjansson-dev (>= 1.3),
    libb64-dev (>= 1.2),
    libmsgpack-dev,
    redis-server,
    python-unittest2,
    python-msgpack (>= 0.3),
    net-tools
Standards-Version: 3.9.6
Vcs-Git: git://github.com/jollyroger/webdis.git -b debian
Vcs-Browser: https://github.com/jollyroger/webdis
Homepage: http://webd.is
Testsuite: autopkgtest

Package: webdis
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Suggests: redis-server
Description: simple web server providing an HTTP interface to Redis
 Webdis is a simple web server providing HTTP interface to Redis. Some features
 include:
  * Support for GET and POST requests.
  * JSON output by default, optional JSONP parameter (?jsonp=myFunction).
  * Raw Redis 2.0 protocol output with .raw suffix
  * HTTP 1.1 pipelining (50,000 http requests per second on a desktop Linux
    machine.)
  * Restricted commands by IP range (CIDR subnet + mask) or HTTP Basic Auth,
    returning 403 errors.
  * Possible Redis authentication in the config file.
  * Pub/Sub using Transfer-Encoding: chunked, works with JSONP as well. Webdis
    can be used as a Comet server.
  * Custom Content-Type using a pre-defined file extension, or with
    ?type=some/thing.
  * URL-encoded parameters for binary data or slashes.
  * Logs, with a configurable verbosity.
  * Cross-origin XHR, if compiled with libevent2 (for OPTIONS support).
  * File upload with PUT.
  * With the JSON output, the return value of INFO is parsed and transformed
    into an object.

Package: webdis-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${misc:Depends}, webdis (= ${binary:Version})
Description: webdis debugging symbols
 Webdis is a simple web server providing HTTP interface to Redis.
 .
 This package provides debug symbols for webdis.
