## webdis 0.1.2+dfsg

=== debian/changelog ===
webdis (0.1.2+dfsg-1) unstable; urgency=medium

  * New upstream version 0.1.2+dfsg
  * Move repository to collab-maint on alioth
  * Repack upstream tarball to remove hiredis, jansson and b64 copies
  * Drop copyright notices for removed libraries
  * Update Standards-Version to 3.9.8. No changes required
  * Raise compat level to 10
  * Add explicit dependency on lsb-base
  * Enable all hardening features during build

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Thu, 10 Nov 2016 01:36:21 +0200

webdis (0.1.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with recent msgpack-c versions.  (Closes: #811343)
    + Use pkg-config to determine CFLAGS/LDFLAGS
      - Search for msgpackc library in both MA and non-MA directories to ease
        backports
    + Use different APIs for the RAW type, based on the version of msgpack-c

 -- James McCoy <jamessan@debian.org>  Thu, 21 Jul 2016 23:43:34 -0400
