=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Andriy Senkovych <jolly_roger@itblog.org.ua>
-Build-Depends: debhelper (>= 7.0.50~), 
+Build-Depends: debhelper (>= 10),
     libevent-dev (>= 1.4.13), 
     libhiredis-dev (>= 0.10),
     libjansson-dev (>= 1.3),
@@ -12,15 +12,15 @@
     python-unittest2,
     python-msgpack (>= 0.3),
     net-tools
-Standards-Version: 3.9.6
-Vcs-Git: git://github.com/jollyroger/webdis.git -b debian
-Vcs-Browser: https://github.com/jollyroger/webdis
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/webdis.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/webdis.git
 Homepage: http://webd.is
 Testsuite: autopkgtest
 
 Package: webdis
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
 Suggests: redis-server
 Description: simple web server providing an HTTP interface to Redis
  Webdis is a simple web server providing HTTP interface to Redis. Some features
