=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 export PREFIX = /usr
 export DESTDIR = $(CURDIR)/debian/tmp
 export CONFDIR = $(DESTDIR)/etc/webdis
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 
 CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
 CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
@@ -22,14 +24,12 @@
 export CFLAGS += -I. -Ihttp-parser
 export LDFLAGS += -levent -pthread -lhiredis -ljansson -lb64
 
-build: build-arch
-build-arch: tests/pubsub tests/websocket
-
-tests/% :
-	$(MAKE) -C tests $*
-
 %:
 	dh $@
+
+override_dh_auto_build:
+	dh_auto_build
+	$(MAKE) -C tests pubsub websocket
 
 override_dh_strip:
 	dh_strip --dbg-package=webdis-dbg
@@ -37,8 +37,8 @@
 override_dh_auto_clean:
 	$(MAKE) clean
 	$(MAKE) -C tests clean
-	# Make sure not to use embedded code copies:
-	rm -rf hiredis jansson
+	rm -f debian/files
+	dh_auto_clean
 
 override_dh_auto_test:
 ifneq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
@@ -46,3 +46,4 @@
 else
 	$(CURDIR)/debian/test.sh $(MAKE) test
 endif
+
