## webdis 0.1.4%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: webdis
 Section: web
 Priority: optional
-Maintainer: Andriy Senkovych <jolly_roger@itblog.org.ua>
-Build-Depends: debhelper (>= 10),
-    libevent-dev (>= 1.4.13), 
+Maintainer: Andrii Senkovych <andrii@senkovych.com>
+Build-Depends: debhelper (>= 11~),
+    libevent-dev (>= 1.4.13),
     libhiredis-dev (>= 0.10),
     libjansson-dev (>= 1.3),
     libb64-dev (>= 1.2),
@@ -11,12 +11,12 @@
     redis-server,
     python-unittest2,
     python-msgpack (>= 0.3),
-    net-tools
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/webdis.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/webdis.git
+    pkg-config
+Standards-Version: 4.2.0
+Vcs-Git: https://salsa.debian.org/debian/webdis.git
+Vcs-Browser: https://salsa.debian.org/debian/webdis
 Homepage: http://webd.is
-Testsuite: autopkgtest
+Rules-Requires-Root: no
 
 Package: webdis
 Architecture: any
@@ -43,13 +43,3 @@
   * File upload with PUT.
   * With the JSON output, the return value of INFO is parsed and transformed
     into an object.
-
-Package: webdis-dbg
-Priority: extra
-Architecture: any
-Section: debug
-Depends: ${misc:Depends}, webdis (= ${binary:Version})
-Description: webdis debugging symbols
- Webdis is a simple web server providing HTTP interface to Redis.
- .
- This package provides debug symbols for webdis.
