=== debian/changelog ===
webdis (0.1.4+dfsg-1build2) focal; urgency=medium

  * No-change rebuild for libevent soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2019 19:58:57 +0000

webdis (0.1.4+dfsg-1build1) disco; urgency=medium

  * No-change rebuild against libhiredis0.14

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 12 Nov 2018 08:49:41 +0000

webdis (0.1.4+dfsg-1) unstable; urgency=medium

  * New upstream version 0.1.4+dfsg
  * d/control, d/copyright: update maintainers email and proper name spelling.
  * Raise compat level to 11.
  * d/control: remove explicit *-dbg package definition.
  * d/control: bump Standards-Version to 4.2.0.
  * d/control: update Vcs-* fields to point to salsa.d.o.
  * d/control: add Rules-Requires-Root header set to no.
  * d/control: add direct build dependency on pkg-config.
  * d/webdis.install: no need to explicitly install webdis binary.
  * d/rules: remove DESTDIR and CONFDIR vars setup by hand.
  * d/rules: avoid installing webdis.prod.json from upstream.
  * d/control, d/rules: remove trailing whitespace.
  * d/control: remote unnecessary Testsuite header.
  * d/copyright: use https protocol.
  * Add systemd service configuration.
  * d/patches/fix-test-new-libevent.patch: fix pubsub test when compiled w/
    libevent 2.1.x. (Closes: #869951, #901555)
  * d/rules: use /usr/share/dpkg/buildflags.mk to populate build flags.
  * Fix lintian typo check

 -- Andrii Senkovych <andrii@senkovych.com>  Sun, 26 Aug 2018 15:30:36 +0300

webdis (0.1.2+dfsg-2) unstable; urgency=medium

  * Update testsuite variable names. Fixup to sockstat
  * Remove dependency on netstat or sockstat to run the tests

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Thu, 17 Nov 2016 00:46:01 +0200
