=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: webdis
 Section: web
 Priority: optional
-Maintainer: Andrii Senkovych <andrii@senkovych.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andrii Senkovych <andrii@senkovych.com>
 Build-Depends: debhelper (>= 11~),
     libevent-dev (>= 1.4.13),
     libhiredis-dev (>= 0.10),
