=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
include /usr/share/dpkg/buildflags.mk
CFLAGS += $(CPPFLAGS)

export PREFIX = /usr

# Objects to be removed from build procedure
export HIREDIS_OBJ=
export JANSSON_OBJ=
export B64_OBJS=

export CFLAGS += -I. -Ihttp-parser
export LDFLAGS += -levent -pthread -lhiredis -ljansson -lb64

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C tests pubsub websocket

override_dh_auto_clean:
	$(MAKE) clean
	$(MAKE) -C tests clean
	rm -f debian/files
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install
	rm debian/webdis/etc/webdis.prod.json

override_dh_auto_test:
ifneq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "Skipping check (disabled in DEB_BUILD_OPTIONS)."
else
	$(CURDIR)/debian/test.sh $(MAKE) test
endif
