=== debian/changelog ===
webdis (0.1.9+dfsg-1) unstable; urgency=medium

  * d/copyright: acknowledge upstream files relocation
  * New upstream version 0.1.9+dfsg
  * Refresh patches
  * Update include locations
  * d/copyright: fix whitespace
  * d/test.sh: fix whitespace
  * d/webdis.service: do not fail on mkdir (Closes: #940558) Thanks to
    Emmanuel Benoît
  * d/control: bump Standards-Version to 4.5.0 (no changes)

 -- Andrii Senkovych <andrii@senkovych.com>  Thu, 23 Apr 2020 02:04:04 +0300

webdis (0.1.4+dfsg-2) unstable; urgency=medium

  * Post unittests to python3; Closes: #943271, #951624

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Apr 2020 02:40:29 -0400
