=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: webdis
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrii Senkovych <andrii@senkovych.com>
+Maintainer: Andrii Senkovych <andrii@senkovych.com>
 Build-Depends: debhelper (>= 11~),
     libevent-dev (>= 1.4.13),
     libhiredis-dev (>= 0.10),
@@ -10,10 +9,9 @@
     libb64-dev (>= 1.2),
     libmsgpack-dev,
     redis-server,
-    python-unittest2,
-    python-msgpack (>= 0.3),
-    pkg-config
-Standards-Version: 4.2.0
+    pkg-config,
+    python3,
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/webdis.git
 Vcs-Browser: https://salsa.debian.org/debian/webdis
 Homepage: http://webd.is
