=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export JANSSON_OBJ=
 export B64_OBJS=
 
-export CFLAGS += -I. -Ihttp-parser
+export CFLAGS += -Isrc -Isrc/http-parser
 export LDFLAGS += -levent -pthread -lhiredis -ljansson -lb64
 
 %:
