=== debian/watch ===
version=3
opts=dversionmangle=s/\+(dfsg|ds)$//,repacksuffix=+dfsg \
    https://github.com/nicolasff/webdis/releases \
    .*\/([0-9.]+)\.tar\.gz
