=== debian/changelog ===
webdis (0.1.22+ds-1) unstable; urgency=medium

  * Use +ds as repacksuffix since the repacking is just to remove embedded
    copies of already packaged libraries.
  * New upstream version
    + Use correct signature for on_msgpack_write, fixing FTBFS with GCC-14.
      (Closes: #1075636)
  * Remove backported patches (backport-msgpack-support.patch, python3.patch)
    and patches applied upstream (tests.patch, print-listen-port-number.patch)
  * rules:
    + Stop adding CPPFLAGS to CFLAGS since upstream respects CPPFLAGS now
    + Use DEB_..._MAINT_APPEND to augment CFLAGS/LDFLAGS
    + Use pkgconf to determine cflags/ldflags for dependency libs
    + Enable all hardening build flags
  * Add a new patch to build against system b64 lib for tests
  * Install new upstream documentation
  * Enable new SSL support
  * Add Pre-Depends to pick up defined ${misc:Pre-Depends}
  * autopkgtests: Add libb64-dev to Depends

 -- James McCoy <jamessan@debian.org>  Mon, 29 Jul 2024 11:39:32 -0400

webdis (0.1.9+dfsg-3) unstable; urgency=medium

  * Reinstate changes from 0.1.9+dfsg-1.1 NMU

 -- James McCoy <jamessan@debian.org>  Mon, 17 Jun 2024 15:24:45 -0400

webdis (0.1.9+dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Replace /var/run with /run for the Service PIDFile.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libb64-dev, libevent-dev,
      libhiredis-dev and libjansson-dev.
    + webdis: Drop versioned constraint on lsb-base in Depends.

  [ James McCoy ]
  * Drop current msgpack patches
  * Backport upstream changes for msgpack detection (Closes: #1070694)
  * Remove a.out file during clean
  * Remove pkg-config Build-Depends, since upstream msgpack detection doesn't
    use it
  * Remove obsolete lsb-base Depends

 -- James McCoy <jamessan@debian.org>  Tue, 04 Jun 2024 21:56:08 -0400

webdis (0.1.9+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * ignore deluser not being available in postrm purge (closes: #1035435)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 18 May 2023 00:10:16 +0200
