=== debian/control ===
--- 
+++ 
@@ -2,24 +2,26 @@
 Section: web
 Priority: optional
 Maintainer: Andrii Senkovych <andrii@senkovych.com>
-Build-Depends: debhelper (>= 11~),
-    libevent-dev (>= 1.4.13),
-    libhiredis-dev (>= 0.10),
-    libjansson-dev (>= 1.3),
-    libb64-dev (>= 1.2),
+Build-Depends: debhelper-compat (= 13),
+    libevent-dev,
+    libhiredis-dev,
+    libjansson-dev,
+    libb64-dev,
     libmsgpack-dev,
+    libssl-dev,
     redis-server,
-    pkg-config,
+    pkgconf,
     python3,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/webdis.git
 Vcs-Browser: https://salsa.debian.org/debian/webdis
-Homepage: http://webd.is
+Homepage: https://webd.is
 Rules-Requires-Root: no
 
 Package: webdis
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
 Suggests: redis-server
 Description: simple web server providing an HTTP interface to Redis
  Webdis is a simple web server providing HTTP interface to Redis. Some features
