=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,14 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+DEB_CFLAGS_MAINT_APPEND = -std=c99 -Isrc -Isrc/http-parser -D_POSIX_C_SOURCE=200809L -Wno-pragmas
+DEB_CFLAGS_MAINT_APPEND += $(shell pkg-config --cflags hiredis_ssl jansson openssl libevent)
+DEB_LDFLAGS_MAINT_APPEND = -pthread -lb64
+DEB_LDFLAGS_MAINT_APPEND += $(shell pkg-config --libs hiredis_ssl jansson openssl libevent)
+DEB_CPPFLAGS_MAINT_APPEND = -DHAVE_SSL=1
+DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
-CFLAGS += $(CPPFLAGS)
 
 export PREFIX = /usr
 
@@ -11,9 +16,6 @@
 export HIREDIS_OBJ=
 export JANSSON_OBJ=
 export B64_OBJS=
-
-export CFLAGS += -Isrc -Isrc/http-parser
-export LDFLAGS += -levent -pthread -lhiredis -ljansson -lb64
 
 %:
 	dh $@
@@ -26,7 +28,7 @@
 	$(MAKE) clean
 	$(MAKE) -C tests clean
 	rm -f debian/files
-	dh_auto_clean
+	rm -f a.out
 
 override_dh_auto_install:
 	dh_auto_install
