=== debian/tests/control ===
Tests: webdis
Depends: @, redis-server, build-essential, libevent-dev,
 net-tools, python3, libb64-dev
Restrictions: isolation-container, allow-stderr
