=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain,dversionmangle=s/\+(dfsg|ds)$//,repacksuffix=+ds" \
   https://api.github.com/repos/nicolasff/webdis/tags?per_page=100 \
   https://api.github.com/repos/nicolasff/webdis/tarball/refs/tags/@ANY_VERSION@
